gnutls_x509_crt_set_version(3)

NAME
gnutls_x509_crt_set_version - This function will set the Certificate request version

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_version(gnutls_x509_crt_t crt, unsigned int version);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

unsigned int version
    holds the version number. For X.509v1 certificates must be 1.

DESCRIPTION
This function will set the version of the certificate. This must be one for X.509 version 1, and so on. Plain certificates without extensions must have version set to one. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.